Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents
Class Document.Configuration

    java.lang.Object
      org.pdfclown.documents.Document.Configuration

Enclosing class:
  Document

    public static final class Document.Configuration

extends Object

Document configuration.

Since:
  0.1.0
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary
`static class` | `Document.Configuration.CompatibilityModeEnum` Version compatibility mode.
`static class` | `Document.Configuration.XRefModeEnum` Cross-reference mode [PDF:1.6:3.4].

Method Summary
`Document.Configuration.CompatibilityModeEnum` | `getCompatibilityMode()` Gets the document's version compatibility mode.
`Document` | `getDocument()` Gets the document associated with this configuration.
`Document.Configuration.XRefModeEnum` | `getXrefMode()` Gets the document's cross-reference mode.
`void` | `setCompatibilityMode(Document.Configuration.CompatibilityModeEnum value)`
`void` | `setXrefMode(Document.Configuration.XRefModeEnum value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getCompatibilityMode

    public Document.Configuration.CompatibilityModeEnum getCompatibilityMode()

  Gets the document's version compatibility mode.

### getDocument

    public Document getDocument()

  Gets the document associated with this configuration.

### getXrefMode

    public Document.Configuration.XRefModeEnum getXrefMode()

  Gets the document's cross-reference mode.

### setCompatibilityMode

    public void setCompatibilityMode(Document.Configuration.CompatibilityModeEnum value)

  See Also:
    `getCompatibilityMode()`

### setXrefMode

    public void setXrefMode(Document.Configuration.XRefModeEnum value)

  See Also:
    `getXrefMode()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.